<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>Test | English Placement Test</title>
    <link href="style.css" rel="stylesheet">
    <link href="./bootstrap-5.0.2-dist/css/bootstrap.min.css" rel="stylesheet">
    <script src="./bootstrap-5.0.2-dist/js/bootstrap.bundle.min.js"></script>
    <link rel="icon" href="/favicon.ico">
    <script type="text/javascript" src="/eel.js"></script>
    <script type="text/javascript" src="main.js"></script>
    <style>
        body {
            background-image: url("./resource/light-blue-background-gradient-wall-design-vector_111.webp");
            background-repeat: no-repeat;
            background-size: cover;
        }
    </style>
</head>
<body class="vh-100 w-100 user-select-none" oncontextmenu="return false;" onload="prepareQuest()" onkeydown="showAlert()" onblur="showAlert()">
  <div class="d-flex flex-column vh-100 w-100 justify-content-between test-content" >
      <div class="d-flex w-100 justify-content-between" style="height:10%;">
          <div class="fs-2 text-light w-33">
              Shaik Qhaiz
          </div>
          <div class="d-flex align-items-center gap-5 main-title w-34">
              <img src="./resource/icon.png" class="img-fluid icon" />
              <h1>English First – English Placement Test</h1>
          </div>
          <div class="fs-2 text-light w-33">
              <span id="remaining_indicator">15 : 00</span> Left
          </div>
      </div>

      <div class="d-flex w-100 flex-column align-items-center instruction" style="height:10%;">
          <p class="h5">Answer the questions bellow. Choose the answer you think it's correct and click on it.</p>
          <p class="h5">When you complete the test, results will appear and you'll know on which level is your English </p>
      </div>
      <div class="progress w-50 align-self-center" style="height:10px;">
          <div class="progress-bar bg-primary" role="progressbar" style="" aria-valuenow="79" aria-valuemin="0" aria-valuemax="100" id="time_progress_bar"></div>
      </div>
      <div class="progress w-50 align-self-center fs-4"  style="height:30px;">
          <div class="progress-bar progress-bar-striped progress-bar-animated" role="progressbar" aria-valuenow="75" aria-valuemin="0" aria-valuemax="100" style="width: 2%" id="quest_progress_bar">1 / 60</div>
      </div>

      <div class="d-flex flex-column w-100 h-50 align-items-center justify-content-center gap-3">
           <div class="question">
               <div class="alert alert-danger" role="alert">
                   <span id="quest_num"></span><span>.</span> <sapn id="quest"></sapn>
               </div>
           </div>
          <div class="answer">
               <button type="button" style="width:400px;text-align:left;" class="btn btn-light position-relative" onclick="setAnswerState(event)">
                   a) <span id="ans_a"></span>
               </button>
          </div>
          <div class="answer">
               <button type="button" style="width:400px;text-align:left;" class="btn btn-light position-relative" onclick="setAnswerState(event)">
                 b) <span id="ans_b"></span>
               </button>
          </div>
          <div class="answer">
               <button type="button" style="width:400px;text-align:left;" class="btn btn-light position-relative" onclick="setAnswerState(event)">
                 c) <span id="ans_c"></span>
               </button>

          </div>
          <div class="answer">
               <button type="button" style="width:400px;text-align:left;" class="btn btn-light position-relative" onclick="setAnswerState(event)">
                 d) <span id="ans_d"></span>
               </button>
          </div>
      </div>

      <div class="d-flex justify-content-between w-100">
          <div class="back">
              <img src="./resource/back_button.png" class="img-fluid" id="backBtn" onclick="fetchPrevQuest()">
          </div>
          <div class="next">
              <img src="./resource/next_button.png" class="img-fluid" id="nextBtn" onclick="fetchNextQuest()">
          </div>
      </div>
  </div>

<!-- Button trigger modal -->
<button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#staticBackdrop" style="display:none;" id="end_modal_launcher">
  Launch static backdrop modal
</button>

<!-- Modal -->
<div class="modal fade" id="staticBackdrop" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="staticBackdropLabel">Information!</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
            It's the end of questions<br>
            Would you like to finish this test?
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">No, not yet.</button>
        <button type="button" class="btn btn-info" onclick="goResult()">OK, I've finished the test.</button>
      </div>
    </div>
  </div>
</div>

<!--////////////////////////////////////////////////////////////-->
<div class="position-fixed top-0 end-0 p-3 fs-3 w-30" style="z-index: 1000">
  <div id="liveToast" class="toast w-100" role="alert" aria-live="assertive" aria-atomic="true">
    <div class="toast-header">
      <div style="width:20px;height:20px;border-radius:5px;background-color:red;margin-right:10px;"></div>
      <strong class="me-auto text-danger">Warning!</strong>
      <small></small>
      <button type="button" class="btn-close" data-bs-dismiss="toast" aria-label="Close" onclick="hideAlert()"></button>
    </div>
    <div class="toast-body fs-3 text-danger">
      Do not use keyboard or switch to other program.<br>Test will be halted, if you do it again.
    </div>
  </div>
</div>
<!--/////////////////////////////////////////////////////////////////-->


</body>
</html>